 	.386
	.model	use32 small

	extrn	allerr : proc
	public	_poly
	.data
nm	db	"poly",0

	.code
_poly:
	push	ebp
	mov	ebp,esp
	mov	ecx,[ebp+16]
	mov	eax,[ebp+20]
	inc	ecx
	fldz
	jmp	intox
lp:
	fmul	qword ptr [ebp+8]
intox:
	fadd	qword ptr [eax+4*ecx-8]
	loop	lp
	lea	ecx,[ebp+8]
	sub	edx,edx
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end